ViennaCL - The Vienna Computing Library: tests/src/structured-matrices.cpp File Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Functions
structured-matrices.cpp File Reference
`#include <iostream>`
`#include <vector>`
`#include <cmath>`
`#include <complex>`
`#include <fstream>`
`#include "viennacl/toeplitz_matrix.hpp"`
`#include "viennacl/circulant_matrix.hpp"`
`#include "viennacl/vandermonde_matrix.hpp"`
`#include "viennacl/hankel_matrix.hpp"`
`#include "viennacl/linalg/prod.hpp"`
`#include "viennacl/fft.hpp"`

Go to the source code of this file.

## Classes
class | dense_matrix< T >

## Functions
template<typename T >
std::ostream & | operator<< (std::ostream &os, dense_matrix< T > const &mat)
template<typename ScalarType >
ScalarType | diff (dense_matrix< ScalarType > const &m1, dense_matrix< ScalarType > const &m2)
template<typename ScalarType >
ScalarType | diff (std::vector< ScalarType > &vec, std::vector< ScalarType > &ref)
template<typename ScalarType >
ScalarType | diff_max (std::vector< ScalarType > &vec, std::vector< ScalarType > &ref)
template<typename ScalarType >
void | transpose_test ()
template<typename ScalarType >
int | toeplitz_test (ScalarType epsilon)
template<typename ScalarType >
int | circulant_test (ScalarType epsilon)
template<typename ScalarType >
int | vandermonde_test (ScalarType epsilon)
template<typename ScalarType >
int | hankel_test (ScalarType epsilon)
int | main ()

## Detailed Description

Tests structured matrices.

Test:
  Tests structured matrices.

Definition in file structured-matrices.cpp.

## Function Documentation

template<typename ScalarType >

int circulant_test | ( | ScalarType | epsilon | ) |

Definition at line 271 of file structured-matrices.cpp.

template<typename ScalarType >

ScalarType diff | ( | dense_matrix< ScalarType > const & | m1,
|  | dense_matrix< ScalarType > const & | m2
| ) |  |

Definition at line 90 of file structured-matrices.cpp.

template<typename ScalarType >

ScalarType diff | ( | std::vector< ScalarType > & | vec,
|  | std::vector< ScalarType > & | ref
| ) |  |

Definition at line 112 of file structured-matrices.cpp.

template<typename ScalarType >

ScalarType diff_max | ( | std::vector< ScalarType > & | vec,
|  | std::vector< ScalarType > & | ref
| ) |  |

Definition at line 127 of file structured-matrices.cpp.

template<typename ScalarType >

int hankel_test | ( | ScalarType | epsilon | ) |

Definition at line 460 of file structured-matrices.cpp.

int main | ( |  | ) |

Examples:
  structured-matrices.cpp.

Definition at line 561 of file structured-matrices.cpp.

template<typename T >

std::ostream& operator<< | ( | std::ostream & | os,
|  | dense_matrix< T > const & | mat
| ) |  |

Definition at line 74 of file structured-matrices.cpp.

template<typename ScalarType >

int toeplitz_test | ( | ScalarType | epsilon | ) |

Definition at line 170 of file structured-matrices.cpp.

template<typename ScalarType >

void transpose_test | ( |  | ) |

Definition at line 150 of file structured-matrices.cpp.

template<typename ScalarType >

int vandermonde_test | ( | ScalarType | epsilon | ) |

Definition at line 373 of file structured-matrices.cpp.